## sqlobject 3.11.0+dfsg

=== debian/changelog ===
sqlobject (3.11.0+dfsg-1) unstable; urgency=low

  [ Neil Muller ]
  * New upstream version.
  * Add missing Forwarded: headers to patches.
  * Switch to using dh-sequence-python3.

  [ Jeroen Ploemen ]
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Wed, 03 Jul 2024 07:48:35 +0000

=== debian/control ===
Source: sqlobject
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-formencode,
               python3-pydispatch,
               python3-setuptools,
# Documentation
               python3-sphinx,
# Used in the test suite
               python3-pytest
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlobject.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlobject
Homepage: http://www.sqlobject.org

Package: python3-sqlobject
Architecture: all
Depends: python3-formencode,
         python3-pydispatch,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Recommends: sqlobject-admin (= ${source:Version})
Suggests: python3-mysqldb,
          python3-psycopg2,
          python-sqlobject-doc
Description: Python 3 object relational manager providing an object interface to databases
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 This is the Python 3 version of SQLObject.

Package: python-sqlobject-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-sqlobject (<< 3.0.0+dfsg-1)
Replaces: python-sqlobject (<< 3.0.0+dfsg-1)
Description: Documentation for SQLObject, a Python object relational manager for databases
 This is the documentation for SQLObject. SQLObject is an object-relational
 mapper. It allows you to translate RDBMS table rows into Python objects, and
 manipulate those objects to transparently manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 The documentation covers the Python 3 versions of SQLObject.

Package: sqlobject-admin
Architecture: all
Section: utils
Depends: python3-sqlobject (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-sqlobject (<< 3.0.0+dfsg-1)
Replaces: python-sqlobject (<< 3.0.0+dfsg-1)
Description: Helper applications for SQLObject, a Python ORM for databases
 SQLObject is an object-relational mapper. It allows you to translate RDBMS
 table rows into Python objects, and manipulate those objects to transparently
 manipulate the database.
 .
 In using SQLObject, you will create a class definition that will describe how
 the object connects to the database (in addition to any other methods you may
 wish to add to the class). SQLObject will produce the code to access the
 database, and update the database with your changes. The interface to the
 database is meant to be indistinguishable from other interfaces you may add
 to the object.
 .
 SQLObject also includes a novel feature to generate WHERE clauses using
 Python syntax and objects (instead of generating SQL using string
 substitution, as is traditional).
 .
 This package includes the sqlobject-admin and sqlobject-convertOldURI helper
 applications for use with SQLObject.

## sqlobject 3.12.0+dfsg

=== debian/changelog ===
sqlobject (3.12.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Autopkgtest will print one debug line to stderr (Closes: #1093524)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 17:26:28 +0100

sqlobject (3.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Annotate deps in a machine-readable way
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 3.12.0+dfsg

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 00:12:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,8 @@
                python3-formencode,
                python3-pydispatch,
                python3-setuptools,
-# Documentation
-               python3-sphinx,
-# Used in the test suite
-               python3-pytest
+               python3-sphinx <!nodoc>,
+               python3-pytest <!nocheck>,
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
 Standards-Version: 4.7.0

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=tests:dbs_data.tmp:versioning/test
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS="{dir}"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	python3 -m sphinx -b html -d debian/tmp/doctrees docs \
		debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html
	# This directory only has documentation for the test case, which we don't package
	rm -rf debian/python-sqlobject-doc/usr/share/doc/python-sqlobject-doc/html/_modules/sqlobject/versioning
	dh_sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs -k docs/News.rst

override_dh_missing:
	dh_missing --list-missing -X tmp/doctrees

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
     https://pypi.debian.net/SQLObject/sqlobject-([\d\.]*)\.tar\.gz

## sqlobject 3.13.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-formencode,
                python3-pydispatch,
@@ -11,8 +12,7 @@
                python3-pytest <!nocheck>,
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlobject
 Homepage: http://www.sqlobject.org

## sqlobject 3.13.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SQLObject.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SQLObject.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SQLObject"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SQLObject"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
sqlobject (3.13.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.13.0+dfsg
  * Refresh patch
  * Switch to pybuild-plugin-pyproject

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 14:19:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 	dh_installchangelogs -k docs/News.rst
 
 override_dh_missing:
-	dh_missing --list-missing -X tmp/doctrees
+	dh_missing --fail-missing -X tmp/doctrees

=== debian/tests/control ===
Tests: testdb
Depends: python3-sqlobject, python3-all

Tests: testdb-setuptools
Depends: python3-sqlobject, python3-virtualenv, git, python3-all
Restrictions: allow-stderr

## sqlobject 3.13.1%2Bdfsg

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
     https://pypi.debian.net/sqlobject/sqlobject-([\d\.]*)\.tar\.gz

## sqlobject 3.13.1+dfsg

=== debian/changelog ===
sqlobject (3.13.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Change base URL to lower-case.
  * New upstream release.
  * d/copyright: Remove old FSF postal address.

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Jan 2026 12:01:00 +0000
